<script setup lang="ts">
import Background from "./Background.vue";
import Calendar from "./Calendar.vue";
import Clock from "./Clock.vue";
import StatusBar from "./StatusBar.vue";
import Notifications from "./Notifications.vue";

const store = useSettingsStore();

onMounted(() => {
  store.animateIntro();
});
</script>

<template>
  <Background />
  <Calendar />
  <Clock />
  <StatusBar />
  <Notifications />
  <AchievementsFadeToBlack />
</template>
